"""user password reset token

Revision ID: 16d25ef8b85d
Revises: 5252d44f6650
Create Date: 2023-05-09 16:31:21.105116

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '16d25ef8b85d'
down_revision = '5252d44f6650'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user_password_reset_token',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.Column('token', sa.String(length=128), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('token')
    )
    op.create_index(op.f('ix_user_password_reset_token_user_id'), 'user_password_reset_token', ['user_id'], unique=False)
    op.create_unique_constraint(None, 'user_pref', ['email'])
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('user_pref_email_key', 'user_pref', type_='unique')
    op.drop_index(op.f('ix_user_password_reset_token_user_id'), table_name='user_password_reset_token')
    op.drop_table('user_password_reset_token')
    # ### end Alembic commands ###
